Name:      pyscript
Version:   0.6.1
Release:   22%{?dist}
Summary:   Postscript graphics with Python

License:   GPLv2+
URL:       http://pyscript.sourceforge.net
Source0:   http://dl.sourceforge.net/sourceforge/pyscript/%{name}-%{version}.tar.gz
Patch0:    pyscript_groups_as.patch
BuildArch: noarch
BuildRequires: python2-devel

Requires:  tetex-latex
Provides:  python2-%{name}
%{?python_provide:%python_provide python2-%{name}}

%description
PyScript is a Python module for producing high quality postscript graphics.
Rather than use a GUI to draw a picture, the picture is programmed using
Python and the PyScript objects.

%prep
%autosetup -p0

%build
%py2_build

%install
%py2_install

%files
%license LICENSE
%doc README BUGS CHANGES TODO doc/manual/pyscript.pdf
%{_bindir}/pyscript
%{python2_sitelib}/pyscript
%{python2_sitelib}/*.egg-info


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-18
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 25 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.1-16
- Modernize packaging, provide python2-pyscript

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 15 2011  Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.6.1-9
- Fix patch syntax for rebuild 

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 1  2010  Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.6.1-6
- Add patch to fix syntax error associated with using protected keyword as a variable name 

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.1-3
- Rebuild for Python 2.6

* Fri Jan 04 2008 Jef Spaleta <jspaleta@gmail.com> 0.6.1-2
- Fix for egg-info file creation

* Fri Aug 03 2007 Jef Spaleta <jspaleta@gmail.com> 0.6.1-1
- Update to 0.6.1 and adjust licensing tag for updated guidelines

* Mon Dec 11 2006 Jef Spaleta <jspaleta@gmail.com> 0.6-6
- BuildRequires and Requires changes to address review comments.

* Sun Dec 10 2006 Jef Spaleta <jspaleta@gmail.com> 0.6-5
- Spec changes to bring things in line with current Extras packaging policy for python.

* Mon May 15 2006 Paul Cochrane <paultcochrane@gmail.com> 0.6-4
- Removed python from Requires list as this will be taken care of
  automatically.
- Added version numbers to the changelog headers.

* Mon May 15 2006 Paul Cochrane <paultcochrane@gmail.com> 0.6-3
- On further advice from <tjikkun@xs4all.nl>; Bugzilla ref: #191218
  And from the python packaging guidelines the following changes have been
  made:
- %%{python_sitelib} variable introduced.
- %%{ghost}ing of optimised python files so that they are uninstalled were
  someone to create them at some later stage.
- Simplification of prep, build and install sections.
- Use of wildcards where possible (not possible for library files as wish to
  exclude some from the distribution).
- Use of the %%{__python} macro, and an improved version of the install
  command.

* Fri May 12 2006 Paul Cochrane <paultcochrane@gmail.com> 0.6-2
- On advice from: <tjikkun@xs4all.nl>; Bugzilla ref: #191218
- Removed Prefix, and made non-relocatable
- Corrected BuildRoot
- Corrected spec file filename
- Cleaning BuildRoot at beginning of install
- Corrected defattr and Source0 values from fedora-newrpmspec
- Changed ordering of attribute values to agree with the standard spec file
  format from fedora-newrpmspec
- Increased release number
- Added %%{_libdir} and %%{_bindir} macros in relevant locations

* Mon Apr 24 2006 Paul Cochrane <paultcochrane@gmail.com> 0.6-1
- Updated for PyScript version 0.6
- Removed patch commands as not required for version 0.6

* Fri Apr 7 2006 Paul Cochrane <paultcochrane@gmail.com> 
- Corrected Group tag, added dist to the Release tag, and changed the
  Copyright tag to License as it now is (and corrected the tag value).

* Thu Mar 30 2006 Paul Cochrane <paultcochrane@gmail.com> 0.6-1
- Finally got building to work properly

* Fri Mar 3 2006 Paul Cochrane <paultcochrane@gmail.com> 0.6-1
- New spec file made for pyscript-0.5
